<?php session_start(); ?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>

<head>
	<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
	<meta name="author" content="Tarchini Maurizio">
	<script type="text/javascript" src="jquery.min.js"></script>
	<script type="text/javascript" src="jquery.custom.min.js"></script>
	<link href="css/jquery.custom.css" rel="stylesheet" type="text/css" />
	<link href="css/style.css" rel="stylesheet" type="text/css" />
	<title>jQuery dialog - login form | Your Inspiration Web</title>
	<style type="text/css">
	body{
		font-size: 12px;
		font-family: Verdana;
	}
	fieldset{
		border: none;
	}
	input{
		width: 290px;
		height: 25px;
		border: 1px solid gray;
		padding-left: 30px;
	}
	
	input#password{
		background: #fff url('css/images/lock.png') no-repeat 0 3px;
	}
	input#username{
		background: url('css/images/user1.png') no-repeat 0 3px;
	}
	.error{
		display: none;
		color: red;
		font-weight: bold;
	}
	a.register{
		font-size: 11px;
		color: #55AAFF;
	}
	.links{
		padding-left: 80px;
	}
	</style>
	<script type="text/javascript">
		$(document).ready(function(){
			$("a#login").click(function(){
				$('#login_box').dialog("open");
				return false;	
			});
			
			$('#login_box').dialog({
				modal: true,
				autoOpen: false,
				width: 450,
			
				buttons: {
				"Login" : function(){
					var querystring = $('#login_form').serialize();
					$.post('verify_login.php',querystring,function(data){
						if(data==0)
						{
							$('.error').slideDown();
						}
						else
						{
							window.location = "login.php";
						}
					});	
				},
				"Annulla": function() {
					$( this ).dialog( "close" );
				}
			}

			});	
			
			$('#username,#password').focus(function(){
				if($('.error').is(':visible'))
				{
					$('.error').slideUp();
				}	
			});
		});
	</script>
</head>

<body>
<div id="container">
	<h1>Login con finestra di dialogo jQuery</h1>
	
	<h2>Clicca su login per eseguire l'autenticazione</h2>
	
	<h3>I dati corretti di autenticazione sono username: admin / password: 1234</h3>
	
	<br/><br/><br/>
	
	<div id="login_box" title="Autenticazione utente">
		
        <p class="error">Username o password errati! Riprova</p>
		
		<form action="?" method="post" id="login_form">
			<fieldset>
                <legend>
                    <p>
                        <label for="username">username:</label>
                        <input type="text" name="username" id="username" class="ui-corner-all" />
                    </p>
                
                    <p>
                        <label for="password">password:</label>
                        <input type="password" name="password" id="password" class="ui-corner-all" />
                    </p>
                </legend>
			</fieldset>
			
			<p class="links"><a href="#" class="register">Password dimenticata</a> - <a href="#" class="register">Registrati</a></p>
			
		</form>
	</div>
	<?php
		if(isset($_SESSION['auth']) AND $_SESSION['auth'] == 1)
		{
	?> 
		<h3>Utente autenticato</h3>
		<p><a href="logout.php" id="logout">Logout</a></p>
	<?php 
		}
		else 
		{
	?>
		<h3>Utente sconosciuto</h3>
		<p><a href="#" id="login">Login</a></p>
	<?php
		}
	?>
</div>
</body>
</html>